# Record Class MFeature

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MFeature

Record Components:
  `text` - The text

All Implemented Interfaces:
  `MLongDescriptionElementType`

public record MFeature(String text) extends Record implements MLongDescriptionElementType
A feature.

See Also:
  - "https://docs.flathub.org/docs/for-app-authors/metainfo-guidelines/#description"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MFeature(String text)`
  A category name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `text()`
  Returns the value of the `text` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MFeature

    public MFeature(String text)
    A category name.
    Parameters:
      `text` - The text

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### text

    public String text()
    Returns the value of the `text` record component.
    Returns:
      the value of the `text` record component